#!/bin/bash

# Directory variables
VERSION_NUM=2.1
DESKTOP_DIR=/usr/share/applications
EXEC_DIR=/usr/bin
ICON_DIR=/usr/share/icons/hicolor
OPT_DIR=/opt/moderncsv

# Copy desktop file
cp -f moderncsv.desktop $DESKTOP_DIR

# Copy everything to the /opt/ directory.
if [ -d "$OPT_DIR" ]; then
  rm -f $EXEC_DIR/moderncsv
  rm -rf $OPT_DIR
fi
if [ -d "$OPT_DIR$VERSION_NUM" ]; then
  rm -rf $OPT_DIR$VERSION_NUM
fi
cp -rf ../moderncsv$VERSION_NUM $OPT_DIR$VERSION_NUM
mv $OPT_DIR$VERSION_NUM $OPT_DIR

# Make link in executable dir to application dir.
ln -s $OPT_DIR/moderncsv $EXEC_DIR/moderncsv

